Subject: Re: bug#74627: .dir-locals.el warning messages are confusing

From: Stefan Monnier <[email-masked]>
Date: Wed, 11 Dec 2024 10:31:03 -0500

>> Regardless of whether my guess is correct, the text should
>> not refer to the local variables in "/home/bjourne/p/emacs/" because
>> there can be no unsafe variables in directories (only files).
> Well, we consider variables in .dir-locals.el as belonging to the
> directory in which it lives.

I think it would be easier to understand for the reader if we can point
more precisely to the source (especially since now it can also come
from `.editorconfig`).

        Stefan